Перейти к содержимому


Фотография

Обновление форума до IP.Board 2.2.х—2.3.х

Форумы IBResource

  • Авторизуйтесь для ответа в теме
Сообщений в теме: 516
PAU
  • Участники
  • Cообщений: 4
  • http://www.pau.ru

Отправлено

Может кто-нить помочь с обновлением базы от 1.0.1 до более новых версий?

pritorian
  • Участники
  • Cообщений: 276
  • Город:Odessa

Отправлено

Что это может быть после обновления автоматом с 2.1.1 до 2.2.1

http://kletka.com.ua...7/temp/ipb1.gif

http://kletka.com.ua...7/temp/ipb2.gif

и ссылки на разделы тоже строит странно.. вот так..

/forum/%7Bipb.script_url%7Dshowforum=7

chymera
  • Участники
  • Cообщений: 2

Отправлено

archtod, спасибо большое) сделал так как ты написал и получилось)
:D ;)

sM1Le
  • Участники
  • Cообщений: 3 060
  • http://

Отправлено

У кого ошибка:
Fatal error: Call to a member function on a non-object in /usr/local/apache2/htdocs/forum/sources/components_ucp/blog.php on line 59
— изначально стоит читать инструкцию по обновлению, которая предоставлена в первом сообщение данной темы. Рекомендуется удалять все файлы и директории, /conf_global.php, /uploads/.
Теперь конкретно по проблеме — есть два решения:
  • Скачиваем новую версию модуля IP.Blog — 1.3.x. Она полностью совместима с IP.Board 2.2.x. Загружаем все файлы и директории модуля, а затем в браузере запускаем его систему обновления. После обновления модуля эта ошибка не будет возникать.
  • Удаляем следы модуля, а именно:
  • ./modules/blog/
  • ./modules/mod_blog.php
  • ./sources/components_*/blog.php
  • ./sources/sql/mysql_blog_*.php
Помните, что это удалить не весь модуль. Останутся так же таблицы и поля в базе данных и ещё небольшое количество файлов.
После выпонения одного из выше указанных способов проблема будет решена.

Далее, ошибка:

и ссылки на разделы тоже строит странно.. вот так..

/forum/%7Bipb.script_url%7Dshowforum=7

ACP -> TOOLS & SETTINGS -> Maintenance -> Clean-up
Выполняем всё, что для обновления с 2.1 до 2.2. Потом можно запустить обновление кеша в инструментах для стилей (не помню, как называется вкладка с этим меню в английской версий, в русской — «ВНЕШНИЙ ВИД»).

Может кто-нить помочь с обновлением базы от 1.0.1 до более новых версий?

Почитайте тему «Обновление форума IPB 1.2.x—2.0.x до версии 2.1.х». После этого первое сообщение в этой теме.
Мало вероятно, что кто-либо бесплатно Вам произведет обновление со столь ранней версии IP.Board. Например, для клиентов нашей компании обновление с линейки 1.х является платной услугой и в случае версии 1.0.1 оно будет стоить достаточно дорого.

incompris
  • Участники
  • Cообщений: 21
  • http://
  • Город:Санкт-Петербург

Отправлено

;) хэээлп..., как эту багу исправить... всё было нормально пока не отослали жалобу... при удалении личного сообщения счётчик слетел в минус :D
Скрин

ZiDaNe
  • Участники
  • Cообщений: 412
  • http://www.pfpl.ru
  • Город:РФ, Санкт-Петербург
  • Интересы:Футбол

Отправлено

делаю запросы по одному и на первом же зависает... поможите 8)

оказывается каждый запрос жрет по 40 минут времени...

40 минут :D Хорошо, попробую увеличить врем ядо 60 минут.
Хотя странно, время увеличивали до 10 минт, то скрипт отрубался намного раньше....через те же 30-40 секунд

max_execution_time = 3660 ;
max_input_time = 3690 ;
memory_limit = 32M ;

С этими параметрами тоже ничего не получается ;)

sM1Le
  • Участники
  • Cообщений: 3 060
  • http://

Отправлено

Попробуйте изменить:
memory_limit = 32M;
На:
memory_limit = 128M;
И сервер после этого не забудте перезагрузить, чтобы изменения вступили в силу.
После этого форум должен работать нормально. Примерно подобную же проблему решали с тоже давольно большим форумом — стояли ограничения в 32M.

AKA_MOROZ
  • Участники
  • Cообщений: 65

Отправлено

sM1Le, ну а что там с моей багой?

els1979
  • Клиенты
  • Cообщений: 2

Отправлено

после обновления форума с 2.1.5 до 2.2.2 (сделано все по инструкции)
при нажатии на Помощник в топе форума почему-то выскакивает два окошечко...одно в виде нового окна браузерного, другое такое же, как на этом форуме...
подскажите в какую сторону копать, чтобы исправить


спасибо
поискал поиском уже по всему форуму, а не по разделе версии 2.2.*
и после обновления стилей все наладилось :D

Galadriel
  • Участники
  • Cообщений: 43

Отправлено

После обновления до 2.2.2 с 2.2.1 перестали работать кнопки вставок URL и изображений. Нажимаешь и ничего не происходит. всё остальное работает. куда копать?

GiV
  • Участники
  • Cообщений: 5 513
  • http://www.wtf.sh/
  • Город:да

Отправлено

в сторону javascript И шаблонов.

Galadriel
  • Участники
  • Cообщений: 43

Отправлено

Проблема решена. Отсутствовал файл lang_javascript.js в lang_cache/ru/

GiV
  • Участники
  • Cообщений: 5 513
  • http://www.wtf.sh/
  • Город:да

Отправлено

Кое что о процессе обновления.

http://www.zu1us.ru/...rading/#more-53

Hugo Weaving
  • Участники
  • Cообщений: 758
  • http://forum.lofors.com
  • Город:Не скажу:)
  • Интересы:Всякое-разное...

Отправлено

Обновление с 2.1.7 до 2.2.2 прошло успешно.
Была в начале проблемка с кодировкой, но после смены её у самой базы на такую же какая у 2.2.2, "???" исчезли и всё нормализовалось.

Остались 2 небольшие проблемки:

1) При удалении сообщения или темы - белый лист.
2) При попытки выставить предупреждения или снять его - белый лист.

SomehaiN
  • Участники
  • Cообщений: 1 088
  • http://ipbskins.ru

Отправлено

Hugo Weaving, какой тип редиректа? memory_limit < 32 mb?

Hugo Weaving
  • Участники
  • Cообщений: 758
  • http://forum.lofors.com
  • Город:Не скажу:)
  • Интересы:Всякое-разное...

Отправлено

Hugo Weaving, какой тип редиректа? memory_limit < 32 mb?

Не думаю, что из-за этого проблема. Т.к. я специально создал демо-аккаунт (папку) в него был установлен чистый 2.2.2 и там всех этих трабл не было. Скорее всего это от модификаций под 2.1.7.

bakulove
  • Участники
  • Cообщений: 52

Отправлено

В случае обновления между линейками (например, с 2.1.4 до 2.2.1), установленные модули IP.Gallery и IP.Blog так же нуждаются в обновлении до более новой линейки.


здрасте. я обновил форум с 2.2.1 до 2.2.2
все работает нормально. спасибо вам за скрипт.
если не трудно скажите пожалуйста, а как обновить IP.Gallery и IP.Blog ?? у нас было в 2.2.1 а в 2.2.2 не открывается.

заранее спасибо за ответ.






П,С

Спасибо вам. сам мог.

спасибо за внимание

Сообщение отредактировал bakulove: 18 Март 2007 - 19:38


Kolovrat
  • Клиенты
  • Cообщений: 401
  • http://kolovrat.tv
  • Город:Западная Сибирь, г.Омск

Отправлено

Вылазиет баг в "Помощнике", при чём на любом скине, даже на дефолтном.

И это не на одном форуме, а на всех форума, которые я обновил до русской версии 2.2.2. Причём обновлял с разных версий с 2.0.4, 2.1.7 и 2.2.1. результат одинаковый... баг везде.

Похоже, это всё из-за русского перевода 2.2.2. Видать Помощник в русской версии 2.2.2 не расчитан на длинные фразы. Вот они его и ломают. Так что надо срочно что-то делать, чтобы исправить этот баг.

Вот скрин для наглядности: http://kolovrat.ru/f...es/screen-3.jpg

Stuff
  • Участники
  • Cообщений: 58
  • http://umora.biz

Отправлено

После обновления следующая проблема:
В админке и на самом форуме не работают выпадающие меню (опции форумов, скинов и тд)

Как исправить?

GiV
  • Участники
  • Cообщений: 5 513
  • http://www.wtf.sh/
  • Город:да

Отправлено

JavaScript + шаблоны




Количество пользователей, читающих эту тему: 0

0 пользователей, 0 гостей, 0 анонимных